> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/agents/update-team-agent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Update Specific Team Agent PUT https://agentverse.ai/v1/mailroom/teams/{slug}/agents/{address} Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/agents/update-team-agent ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `slug` (string, required) - `address` (string, required) ### Body (application/json) This endpoint expects an AgentUpdates. - `name` (string, required) — Updated name of the agent. - `readme` (string, optional) — Updated long markdown description of the agent. - `avatar_url` (string, optional) — Updated avatar URL of the agent. - `short_description` (string, optional) — Updated short summary of the agent. - `agent_type` (AgentUpdatesAgentType, optional) — Updated type of the agent (default is 'mailbox'). ## Response ### 200 Successful Response - `status` (enum, required) — Current operational status of the agent - Allowed values: `active`, `offline`, `local` - `type` (enum, required) — Type/category of the agent - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom` - `address` (string, required) — Unique blockchain address of the agent - `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints - `protocols` (list of string, required) — Supported protocol identifiers - `expiry` (string, required) — Expiration timestamp of the agent - `domain_name` (string, optional) — Associated domain name, if available - `metadata` (map from string to any, optional) — Additional arbitrary metadata ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### AgentUpdatesAgentType Updated type of the agent (default is 'mailbox'). ### AgentEndpoint - `url` (string, required) - `weight` (integer, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "name": "foo" } ``` **Response** ```json { "address": "foo", "name": "foo", "pending_messages": 42, "bytes_transferred": 42, "previous_bytes_transferred": 42, "readme": "foo", "avatar_url": "foo", "short_description": "foo", "agent_type": "foo" } ``` **SDK Code** ```python agentsUpdateTeamAgentExample import requests url = "https://agentverse.ai/v1/mailroom/teams/slug/agents/address" payload = { "name": "foo" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript agentsUpdateTeamAgentExample const url = 'https://agentverse.ai/v1/mailroom/teams/slug/agents/address'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"foo"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go agentsUpdateTeamAgentExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/mailroom/teams/slug/agents/address" payload := strings.NewReader("{\n \"name\": \"foo\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby agentsUpdateTeamAgentExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/mailroom/teams/slug/agents/address") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"foo\"\n}" response = http.request(request) puts response.read_body ``` ```java agentsUpdateTeamAgentExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://agentverse.ai/v1/mailroom/teams/slug/agents/address") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"foo\"\n}") .asString(); ``` ```php agentsUpdateTeamAgentExample request('PUT', 'https://agentverse.ai/v1/mailroom/teams/slug/agents/address', [ 'body' => '{ "name": "foo" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp agentsUpdateTeamAgentExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/mailroom/teams/slug/agents/address"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"foo\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift agentsUpdateTeamAgentExample import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["name": "foo"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/mailroom/teams/slug/agents/address")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.